org.eclipse.eef.ide.api.extensions.impl

## Class DescriptorRegistryEventListener<T>

- java.lang.Object
- - org.eclipse.eef.ide.api.extensions.AbstractRegistryEventListener
  - - org.eclipse.eef.ide.api.extensions.impl.DescriptorRegistryEventListener<T>

Type Parameters:
  `T` - The type of the Object described

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryEventListener

    public class DescriptorRegistryEventListener<T>
    extends AbstractRegistryEventListener

Utility class used to retrieved the descriptors of extensions.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.eef.ide.api.extensions.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

### Field Summary

Fields
`static java.lang.String` `DESCRIPTION_DESCRIPTOR_ATTR` Description attribute of extension point.
`static java.lang.String` `ID_DESCRIPTOR_ATTR` Id attribute of the extension point.
`static java.lang.String` `IMPL_CLASS_DESCRIPTOR_ATTR` Implementation class attribute of extension point.
`static java.lang.String` `LABEL_DESCRIPTOR_ATTR` Label attribute of extension point.
`static java.lang.String` `TAG_DESCRIPTOR` Descriptor tag of extension point.

### Constructor Summary

Constructors
Constructor and Description
`DescriptorRegistryEventListener(java.lang.String namespace, java.lang.String extensionPointID, IItemRegistry<T> itemRegistry)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the addition of the given configuration element.
`protected boolean` `processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the removal of the given configuration element.
`protected boolean` `validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Validates the given configuration element.

### Methods inherited from class org.eclipse.eef.ide.api.extensions.AbstractRegistryEventListener

`added, added, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_DESCRIPTOR_ATTR

    public static final java.lang.String ID_DESCRIPTOR_ATTR

Id attribute of the extension point.

See Also:
  Constant Field Values

#### LABEL_DESCRIPTOR_ATTR

    public static final java.lang.String LABEL_DESCRIPTOR_ATTR

Label attribute of extension point.

See Also:
  Constant Field Values

#### DESCRIPTION_DESCRIPTOR_ATTR

    public static final java.lang.String DESCRIPTION_DESCRIPTOR_ATTR

Description attribute of extension point.

See Also:
  Constant Field Values

#### IMPL_CLASS_DESCRIPTOR_ATTR

    public static final java.lang.String IMPL_CLASS_DESCRIPTOR_ATTR

Implementation class attribute of extension point.

See Also:
  Constant Field Values

#### TAG_DESCRIPTOR

    public static final java.lang.String TAG_DESCRIPTOR

Descriptor tag of extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### DescriptorRegistryEventListener

    public DescriptorRegistryEventListener(java.lang.String namespace,
                                           java.lang.String extensionPointID,
                                           IItemRegistry<T> itemRegistry)

The constructor.

Parameters:
  `namespace` - The namespace of the extension point
  `extensionPointID` - The identifier of the extension point
  `itemRegistry` - The `IItemRegistry`

### Method Detail

#### validateConfigurationElement

    protected boolean validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Validates the given configuration element.

Specified by:
  `validateConfigurationElement` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element is valid, `false` otherwise
See Also:
  `AbstractRegistryEventListener.validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement)`

#### processAddition

    protected boolean processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the addition of the given configuration element.

Specified by:
  `processAddition` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly added, `false` otherwise
See Also:
  `AbstractRegistryEventListener.processAddition(org.eclipse.core.runtime.IConfigurationElement)`

#### processRemoval

    protected boolean processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the removal of the given configuration element.

Specified by:
  `processRemoval` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly removed, `false` otherwise
See Also:
  `AbstractRegistryEventListener.processRemoval(org.eclipse.core.runtime.IConfigurationElement)`